import fetch from '@/utils/fetch'

export function login(username, password) {
  return fetch({
    url: '/users/signin',
    method: 'post',
    data: {
      username,
      password
    }
  })
}

export function getInfo(token) {
  return fetch({
    url: '/users/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return fetch({
    url: '/users/logout',
    method: 'post'
  })
}
